PHP 7 support

Talk about anything that doesn't fit in the other catagories :) (and of course is about Group-Office)

Moderator: Developers

pieter_djc
Posts: 7
Joined: Wed Jun 10, 2015 9:17 pm
Location: Veghel
Contact:

PHP 7 support

Postby pieter_djc » Sun Apr 24, 2016 8:42 pm

When will PHP 7 support be available for Group-Office? From Ubuntu 16.04 PHP7.0 is the default version for PHP so when you will upgrade Ubuntu GO will give many errors and can not run anymore.

Thx in advance.
Kind regards/Met vriendelijke groet,

Pieter van de Ven
Voor informatie zie http://www.groeps-kantoor.nl
mcharvat
Posts: 59
Joined: Thu Jul 03, 2014 10:36 pm
Contact:

Re: PHP 7 support

Postby mcharvat » Mon Apr 25, 2016 11:48 am

I guess PHP 7 is big step forward which closes many doors.

Don't forget Debian has PHP 7 in sid/strech only. The unofficial way how to install PHP 7 on Jessie is trough dotdeb repository. Official release should be probably in next debian release in 2017 (no release date has been set).

In my experience there are also companies who runs GO on PHP 5.3 so with PHP 7 you have two options - maintenance two branches (5 and 7) or strictly say minimum requirements are PHP 7 ...

However I'm interested in to upgrade core to PHP 7 too.
mcharvat
Posts: 59
Joined: Thu Jul 03, 2014 10:36 pm
Contact:

Re: PHP 7 support

Postby mcharvat » Mon Apr 25, 2016 8:31 pm

OK looks like GO 6.1.84 works well on PHP 7 except one thing - String class. It should be renamed to Text and replaced all occurrences in GO. I will create ticket with this request. I guess this fix should be available in 6.2 :)
mcharvat
Posts: 59
Joined: Thu Jul 03, 2014 10:36 pm
Contact:

Re: PHP 7 support

Postby mcharvat » Tue Apr 26, 2016 8:11 am

OK so 6.2 solved this problem.

Code: Select all

We already did that in 6.2. We named it StringHelper ;)

Return to “GroupOffice main discussion”

Who is online

Users browsing this forum: No registered users and 6 guests

cron